
Redmine - Defect #34006

[Create account] Space in middle of username

2020-09-20 11:50 - Ha Thu

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version:  

Description

Bug: allow space in middle of username

Step:

1. Enter an account and the space in the middle of username

2. Click on Send button

Actual:

"message": "Create successfully",

statusCode: 200

Expected:

"message": "Username is invalid",

statusCode: 400

History

#1 - 2020-09-22 06:32 - Go MAEDA

I think the responce body in the screenshot is not the one returned by Redmine. Redmine does not have attributes such as "userId", "username",

"fullName", "activeFlag"and "mustNotChangeFlag".

#2 - 2020-09-22 21:10 - Marius BĂLTEANU

- Status changed from New to Needs feedback

#3 - 2020-12-21 03:39 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to No feedback

Files

Space in username.png 32.6 KB 2020-09-20 Ha Thu
